For AI agents: a documentation index is available at /docs/llms.txt. Append .md to any page URL for markdown, or send Accept: text/markdown.
Retrieve a project API key
Provides the API key for a project. A project ID is required when the
organization has more than one project.
get
/v1/projects/api-keyAuthorizations
Authorizationstringrequiredhttp
Query parameters
project_idstringThe project ID. Required when the organization has more than one project.
Example:
12345Constraints:
pattern: ^[1-9][0-9]*$Response
application/json200· The project API key alongside the project name and ID.
dataobjectrequiredA project API key and the project it belongs to.
Show child attributes
objectstringrequiredResource type.
project_idstringrequiredAmplitude project identifier.
Example:
12345Constraints:
pattern: ^[1-9][0-9]*$project_namestringrequiredProject name, or null when no name is available.
Example:
Example ProjectConstraints:
nullableapi_keystringrequiredThe project API key.
Example:
example-project-api-keyConstraints:
min length: 1400· The query is invalid, or a project ID is required because the organization
has more than one project.
typestringrequiredConstraints:
format: urititlestringrequiredstatusintegerrequiredConstraints:
min: 400max: 599detailstringConstraints:
nullableinstancestringConstraints:
format: urinullableerror_codestringrequiredretryablebooleanrequiredretry_after_secondsintegerConstraints:
nullablemin: 0validation_errorsobject[]Constraints:
nullable403· Permission to retrieve the project API key is denied, or the endpoint is
unavailable.
typestringrequiredConstraints:
format: urititlestringrequiredstatusintegerrequiredConstraints:
min: 400max: 599detailstringConstraints:
nullableinstancestringConstraints:
format: urinullableerror_codestringrequiredretryablebooleanrequiredretry_after_secondsintegerConstraints:
nullablemin: 0validation_errorsobject[]Constraints:
nullable404· The project does not exist in the authenticated organization or is not
accessible to the caller (
project_not_found).
typestringrequiredConstraints:
format: urititlestringrequiredstatusintegerrequiredConstraints:
min: 400max: 599detailstringConstraints:
nullableinstancestringConstraints:
format: urinullableerror_codestringrequiredretryablebooleanrequiredretry_after_secondsintegerConstraints:
nullablemin: 0validation_errorsobject[]Constraints:
nullable422· API key retrieval is not supported for this project. For example,
portfolio views and warehouse-native projects do not support this
operation.
typestringrequiredConstraints:
format: urititlestringrequiredstatusintegerrequiredConstraints:
min: 400max: 599detailstringConstraints:
nullableinstancestringConstraints:
format: urinullableerror_codestringrequiredretryablebooleanrequiredretry_after_secondsintegerConstraints:
nullablemin: 0validation_errorsobject[]Constraints:
nullable502· The project API key could not be retrieved (
upstream_error). Retry later.
typestringrequiredConstraints:
format: urititlestringrequiredstatusintegerrequiredConstraints:
min: 400max: 599detailstringConstraints:
nullableinstancestringConstraints:
format: urinullableerror_codestringrequiredretryablebooleanrequiredretry_after_secondsintegerConstraints:
nullablemin: 0validation_errorsobject[]Constraints:
nullable503· The project API key is missing or unusable. Ask an administrator of your
organization to review the project's API key settings.If the endpoint is temporarily unavailable, retry later.
typestringrequiredConstraints:
format: urititlestringrequiredstatusintegerrequiredConstraints:
min: 400max: 599detailstringConstraints:
nullableinstancestringConstraints:
format: urinullableerror_codestringrequiredretryablebooleanrequiredretry_after_secondsintegerConstraints:
nullablemin: 0validation_errorsobject[]Constraints:
nullableWas this helpful?